Page MenuHomePhabricator

Document RCStream in the Developer Hub
Closed, ResolvedPublic

Description

Other doc changes:

Some developers believe we will be deprecating the IRC recent changes feed in favor of this, but I could not find a phab task for that yet at Wikimedia-IRC-RC-Server except T87780: Add notice about rcstream to IRC RC motd.

Details

Reference
fl519

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl519.

brainwane wrote on 2014-08-05 22:09:37 (UTC)

So a few notes:

change the code in https://wikitech.wikimedia.org/wiki/RCStream#Python , because the labs stream works right now and stream.wikimedia.org doesn't really and gives a 502:

Merlijn: "aggressively retrying works, but it's still annoying. The labs one is more stable -- see https://bugzilla.wikimedia.org/show_bug.cgi?id=66989 "

 class WikiNamespace(socketIO_client.BaseNamespace):
     def on_change(self, change):
         print '%(user)s edited %(title)s' % change
  
      def on_connect(self):
          self.emit('subscribe', '*')

s = socketIO_client.SocketIO('stream.wmflabs.org', 80)
s.define(WikiNamespace, '/')
s.wait()

And it still does not quite work because:

<sumanah> ok, so, ori, I'm now in the situation where I've subscribed to '*', I made another edit on en.wikipedia.beta.wmflabs.org , and my socketIO client is currently in the wait() mode, but I haven't seen anything print
<ori> sumanah: there are a couple of known bugs that are on the backburner because of HHVM
<ori> sumanah: the service isn't officially 'launched' yet
<ori> sumanah: that is to say: it's not at all meant to be concealed or inaccessible, but it's not backed by the same guarantees as other production services. which is part of why the deprecation of the IRC feed hasn't been scheduled yet
<sumanah> ori: ah ok. So it sounds like I have very likely successfully done everything on my part, on the client side, but the stream might just not be emitting events properly?
<ori> sumanah: I don't have the time to look right now, sadly, so I can't confirm, but it's entirely plausible, yeah
<sumanah> right, certainly ori - this makes sense. So I will note that and move on right now to the other 2 APIs I'm covering this quarter, and come back to RCStream in September

ori wrote on 2014-08-09 00:22:19 (UTC)

This has been fixed now; see https://bugzilla.wikimedia.org/show_bug.cgi?id=66989#c4

Sitic added a subscriber: Sitic.Oct 20 2014, 8:57 PM
Qgil lowered the priority of this task from Normal to Low.Oct 22 2014, 6:20 PM
Spage added a subscriber: Spage.

T88410: Showcase/inspire: Listen to Wikipedia is related, but seems to be using the earlier inflexible IRC RecentChanges stream.

Spage updated the task description. (Show Details)Feb 3 2015, 9:27 AM
Spage raised the priority of this task from Low to Normal.
Spage set Security to None.
Qgil added a subscriber: Slaporte.Feb 3 2015, 9:29 AM
Spage claimed this task.Feb 3 2015, 5:31 PM

@Spage I started writing/collecting docs for the socket-io feed here: https://gist.github.com/slaporte/ab0c189b0552cea97627 including a small example widget: http://jsfiddle.net/7rgxxkok/11/

I hope that helps!

Qgil added a comment.Feb 4 2015, 8:45 AM

Is the goal of this task to improve the API references of RCStream or to write a tutorial to use this API? Or both?

PS: please bare with my (lack of) knowledge on the subject. I'm not even sure whether RCStream is an API or a tool...

In T334#1013897, @Qgil wrote:

Is the goal of this task to improve the API references of RCStream or to write a tutorial to use this API? Or both?

It's to provide some background for the Showcase/inspire item of T88410 or something related. I'm not sure where the API doc should go yet.

PS: please bare with my (lack of) knowledge on the subject. I'm not even sure whether
RCStream is an API or a tool...

I was Naked bare in the woods :) too... RCStream is a tool/program/service/API end point that broadcasts activity from MediaWiki wikis. So yes.

Progress:

@Slaporte, do you plan to switch http://listen.hatnote.com/ / Wikimon from the old RecentChanges IRC feed to RCStream?

In T334#1020028, @Spage wrote:

@Slaporte, do you plan to switch http://listen.hatnote.com/ / Wikimon from the old RecentChanges IRC feed to RCStream?

I would like to! But it doesn't add any new features to Wikimon, so it's not high on my TODO list.

Spage moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 3 2015, 5:31 AM
Spage moved this task from Backlog to For review on the Web-APIs-Hub board.Mar 23 2015, 10:51 PM
Spage updated the task description. (Show Details)Apr 10 2015, 6:18 AM
Spage removed Spage as the assignee of this task.
Spage assigned this task to ori.Apr 10 2015, 6:20 AM

Ori, I believe https://www.mediawiki.org/wiki/API:Recent_changes_stream is ready for your review and/or Krinkle's. Edit away, add <!-- rewrite this junk --> HTML comments, etc. :)

This task was part of ECT-March-2015, and it is still open and assigned. Assuming that it belongs to ECT-April-2015 as well. Otherwise please edit accordingly.

Krinkle moved this task from Inbox to Backlog on the Wikimedia-Stream board.Jul 23 2015, 7:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 7:31 PM
ori closed this task as Resolved.Nov 18 2016, 7:28 PM